# Current focus-area application types

static_sites:
  name: Static Sites
  pm: Jackie Meshell
  description: "Host your static websites on GitLab.com for free, or on your own GitLab instance, using any static website generator: Jekyll, Middleman, Hexo, Hugo, Pelican, and more."
  documentation: https://docs.gitlab.com/ee/user/project/pages/
  marketing_page: /product/pages/
  direction:
  available: 2017-12-31
  complete: 2017-12-31
  lovable: 2023-11-18
  maturity: complete

web_app:
  name: Traditional Web Applications
  pm: TBD
  description:
  documentation:
  direction:
  available: 2017-12-31
  lovable: 2017-12-31
  maturity: lovable

cloud_native:
  name: Cloud Native Web Applications
  pm: TBD
  description:
  documentation:
  direction:
  available: 2017-12-31
  complete: 2018-12-31
  lovable: 2023-11-18
  maturity: complete

mobile:
  name: "Mobile Apps"
  pm: Jason Yavorska
  description: Developing and delivering mobile apps with GitLab is a critical capability. Many technology companies are now managing a fleet of mobile applications, and being able to effectively build, package, test, and deploy this code in an efficient, effective way is a competitive advantage that cannot be understated. GitLab is taking improvements in this area seriously, with a unified vision across several of our [DevOps stages](/direction/#devops-stages).
  direction: /direction/mobile/
  docuementation:
  available: 2017-12-31
  viable: 2023-11-18
  complete:
  lovable:
  maturity: minimal

versioned_dependencies:
  name: "Versioned Dependencies"
  pm: Tim Rizzi
  description: "Projects that generate packages as output, that are then included as dependencies in other projects."
  direction:
  documentation:
  available: 2018-09-22
  viable: 2023-11-18
  complete:
  lovable:
  maturity: minimal

serverless:
  name: "Serverless functions"
  pm: Viktor Nagy
  description: |
    Our vision is to make GitLab the preferred tool for developers and operators looking after an integrated continuous
    delivery and monitoring of serverless applications - no matter if those serverless applications are run inside a
    Kubernetes cluster or with a public serverless services provider.
  documentation: https://docs.gitlab.com/ee/user/project/clusters/serverless/
  marketing_page: https://about.gitlab.com/product/serverless/
  direction: https://about.gitlab.com/direction/configure/serverless/
  available: 2018-11-22
  viable: 2023-11-18
  complete:
  lovable:
  maturity: minimal

microservices:
  name: Microservices
  pm: TBD
  description: "Microservices or any system of distributed components."
  documentation:
  marketing_page: /topics/microservices/
  direction: https://gitlab.com/gitlab-org/gitlab-ee/issues/1680
  available: 2018-12-31
  viable: 2023-11-18
  complete:
  lovable:
  maturity: minimal

monorepos:
  name: Monorepos
  pm: Eric Brinkman
  description: "Monorepos of related and unrelated services."
  documentation:
  direction: https://gitlab.com/groups/gitlab-org/-/epics/812
  available: 2018-12-31
  viable: 2020-01-22
  complete: 2020-06-22
  lovable:
  maturity: minimal

dotnet:
  name: .NET Applications
  pm: TBD
  description: ".NET application development."
  documentation:
  direction: https://gitlab.com/groups/gitlab-org/-/epics/1670
  available: 2018-12-31
  viable: 2023-11-18
  complete:
  lovable:
  maturity: minimal

java:
  name: Java Applications
  pm: TBD
  description: "Java application development."
  documentation:
  direction: https://gitlab.com/groups/gitlab-org/-/epics/1730
  available: 2018-12-31
  viable: 2023-11-18
  complete:
  lovable:
  maturity: minimal
